### Class

# Phosh BackgroundCache

since: 0

#### Description [src]

    final class Phosh.BackgroundCache : GObject.Object
    {
      /* No available fields */
    }

A cache of background images.

Available since: 0

#### Ancestors

- GObject

#### Functions

###### phosh_background_cache_get_default

Gets the background cache singleton.

since: 0

#### Instance methods

###### phosh_background_cache_clear_all

No description available.

since: 0

###### phosh_background_cache_fetch_background

Loads an image into the cache and if not yet present. It always reports success via the `image-loaded` signal.

since: 0

###### phosh_background_cache_lookup_background

Looks up an image in the cache. If missing returns `NULL`.

since: 0

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Signals

###### Phosh.BackgroundCache::image-present

No description available.

since: 0

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

unstable since: 2.0

#### Class structure

    struct PhoshBackgroundCacheClass {
      GObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: GObjectClass`
  No description available.